<?php
use Skynetcore_Utils as utl;

defined('HOSTCMS') || exit('HostCMS: access denied.');

class Skynetcore_Mp_Item_Sync_Model extends Core_Entity
{
	/**
	 * Disable markDeleted()
	 * @var mixed
	 */
	protected $_marksDeleted = NULL;

	protected $_belongsTo = array(
		'shop_item' => array(
			'model' => 'Umotors_Shop_Item',
			'foreign_key' => 'shop_item_id',
		),
	);

	public function save()
	{
		$this->lastupdate = Core_Date::timestamp2sql(time());

		return parent::save(); // TODO: Change the autogenerated stub
	}
}